#! /bin/sh

### BEGIN INIT INFO
# Provides:          http://tren.enmicasa.net
# Required-Start:    $network
# X-UnitedLinux-Should-Start:
# Required-Stop:
# X-UnitedLinux-Should-Stop:
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Starts the RPIC Daemon
# Description:       Starts the RPIC Daemon
# If RPIC Daemon and rocrail daemon are running on the same system, a dependence could appear:
# http://wiki.debian.org/LSBInitScripts
### END INIT INFO

. /lib/lsb/init-functions

rpicd_BIN=/opt/rocrail/rpicd
rpicd_PID=/opt/rocrail/rpicd.pid
#rpicd_SH=/opt/rocrail/rpicd.sh

if [ ! -x $rpicd_BIN ] ; then
	log_daemon_msg "RPIC DAEMON not installed !" "rpicd"
	log_end_msg 1
	exit 5
fi

case "$1" in
    start)
	log_daemon_msg "Starting RPIC daemon" "rpicd"
	if [ ! -e $rpicd_PID ] ; then
		#su - root -c "$rpicd_SH"
		sudo  "$rpicd_BIN"
		#For some reasons the interrups only works being launched with sudo
	else
		log_end_msg 1
        echo "rpicd.pid already exists ! "
		exit 5
	fi
	log_end_msg 0
	;;
    stop)
	log_daemon_msg  "Shutting down RPICD" "rpicd"
	if [ -e $rpicd_PID ] ; then
	su - root -c "kill `head $rpicd_PID`"
	su - root -c "rm $rpicd_PID"
    else
		log_end_msg 1
        echo "RPICD not running or missing PID File ! "
		exit 5
	fi
	log_end_msg 0
	;;
   reset)
       su - root -c  "/etc/init.d/rpicd.sh stop"
       sleep 2	
       su - root -c "/etc/init.d/rpicd.sh start"

;;
*)
	echo "Usage: $0 {start|stop|reset}"
	exit 1

esac
